//! Rust challenge



mod dir_monitor;
mod event;
mod monitored_files;



use clap::Parser;

use crate::dir_monitor::DirMonitor;



#[derive(Parser)]
#[command(version)]
/// A file monitor progam as part of a rust challenge.
///
/// This is a rust challenge to create a file monitoring program that will
/// watch a single directory and its sub directories for changes to the
/// files.
struct Options
{
    #[arg(short = 'd', default_value = "~/inbox")]
    /// The path for the inbox to monitor.
    inbox_dir: String
}



/// The usual starting point of your project.
fn main()
{
    let options: Options = Options::parse();

    println!("Inbox:  `{}`", options.inbox_dir);

    let mut directory_monitor: DirMonitor = DirMonitor::new(&options.inbox_dir);
    directory_monitor.monitor();
}
